import { PageView } from '@/layouts';

export default [
	{
		path: '/settings/library/list',
		name: 'settings:library:list',
		hidden: false,
		component: () => import('@/views/settings/library/list.vue'),
		meta: {
			title: '知识库',
			icon: 'read',
			keepAlive: false
		}
	},
	{
		path: '/rfmea/setting',
		name: 'rfmea:setting',
		hidden: false,
		component: () => import('@/views/rfmea/setting/list.vue'),
		meta: {
			title: '配置管理',
			icon: 'robot',
			keepAlive: true
		}
	},
	{
		path: '/settings/system/list',
		name: 'settings:system:list',
		hidden: false,
		component: () => import('@/views/settings/system/list.vue'),
		meta: {
			title: '系统设置',
			icon: 'setting',
			keepAlive: false,
			permission: ['table']
		}
	}
];
